Skip to main content

Notice

Please note that most of the software linked on this forum is likely to be safe to use. If you are unsure, feel free to ask in the relevant topics, or send a private message to an administrator or moderator. To help curb the problems of false positives, or in the event that you do find actual malware, you can contribute through the article linked here.
Topic: Plugins wrapper (Read 2557 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

Plugins wrapper

How about creating some kind of plugins-wrapper which would allow to use old plugins with the newest versions of foobar2000? I thought of something like that because there's still no update of the LA plugin

Plugins wrapper

Reply #1
Why don't you just ask the maintainer of the LA plugin to update it?

Dragging around old junk via a wrapper plugin is pointless (if even possible)
A riddle is a short sword attached to the next 2000 years.

Plugins wrapper

Reply #2
Quote
Why don't you just ask the maintainer of the LA plugin to update it?

How do you know I didn't ask him? I did. He's not going to update it until fb2k reaches its more or less final release (so until it won't be necessary to recompile plugins every few months). He's planning to develop a DLL so anybody can write a plugin which allows decoding (and encoding too?) of LA files, but it will take god-only-knows-how-much time.
Quote
Dragging around old junk via a wrapper plugin is pointless (if even possible)

I don't think that fb2k developer nuked compatibility with older plugins because they are junk, but because he needed to change the API and stuff, so people can create cool plugins easier. There are some very useable old plugins, unfortunately not updated for some reasons. I still think that some kind of wrapper would be a good thing (and possible to do)...

Plugins wrapper

Reply #3
You use closed formats with no opensource decoders, you get what you are asking for. If you want software compatibility, you are seriously wasting your time on LA, you should use either APE, WavPack or FLAC, the choice is yours.
"Final" release may take from several months to several years. It's LA author's problem that he is too lazy to download the new SDK, edit a few lines in his code and compile, and doesn't want to release the source to let others do that for him.
We are the bork. Your software bugs will be added to our own. Resistance is futile.

Plugins wrapper

Reply #4
The point is that for many people LA is the perfect lossless codec due to its compression ratio, as well as fb2k is the perfect player for several reasons, and they want to join these 2 perfect things. The problem is that they can't because LA's author is too lazy, has no time, or whatever, to recompile the plugin, and because fb2k requires plugin recompiles pretty often. I guess there's nothing that can be done about LA's author laziness/lack of time, and I understand that nothing can be done with the fact that fb2k needs to change its plugin's API to evolve. That's why I came out with the wrapper idea, it could feed the popular demand for plugins compatibility issues (not only the LA one). It's a good way to solve the problem, isn't it?

 

Plugins wrapper

Reply #5
Quote
The point is that for many people LA is the perfect lossless codec due to its compression ratio
Most of people prefer opensource, speed and software compatibility over a few % compression ratio (read this). How can some format be "perfect" if you're forced to use binaries made by author of the format ?
Anyway, such "wrapper" won't happen because it would be overcomplicated, needed for only one format (because someone else can't be arsed to do much easier job of recompiling one dll), and no sane programmer would bother with that shit.
Topic closed to prevent more useless arguing.
We are the bork. Your software bugs will be added to our own. Resistance is futile.

 
SimplePortal 1.0.0 RC1 © 2008-2021